低危 Cisco ClamAV up to 0.99.3 clamscan libclamav/pdfng.c PDF File 拒绝服务漏洞

CVE编号

CVE-2018-0202

利用情况

暂无

补丁情况

官方补丁

披露时间

2018-03-27
漏洞描述
在0.99.4之前,ClamAV中的clamscan包含一个漏洞,该漏洞允许未经身份验证的远程攻击者在受影响的设备上造成拒绝服务(DoS)条件。此漏洞是由于在处理发送到受影响设备的Portable Document Format (.pdf) files时,输入验证检查机制不正确造成的。未经身份验证的远程攻击者可以通过向受影响设备发送精心编制的.pdf文件来攻击此漏洞。当ClamAV扫描恶意文件时,此操作可能导致超出范围的读取,从而允许攻击者造成DoS条件。这涉及libclav/pdfng.c中的pdf_PARASE_数组和pdf_PARY_String。Ciscobug ID:cscvh 91380,cscvh 91400。 

解决建议
厂商已发布漏洞修复程序,请及时关注更新:
http://www.clamav.net/downloads
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 clamav clamav * Up to
(including)
0.99.3
运行在以下环境
系统 alpine_3.10 clamav * Up to
(excluding)
0.99.4-r0
运行在以下环境
系统 alpine_3.11 clamav * Up to
(excluding)
0.99.4-r0
运行在以下环境
系统 alpine_3.12 clamav * Up to
(excluding)
0.99.4-r0
运行在以下环境
系统 alpine_3.13 clamav * Up to
(excluding)
0.99.4-r0
运行在以下环境
系统 alpine_3.14 clamav * Up to
(excluding)
0.99.4-r0
运行在以下环境
系统 alpine_3.15 clamav * Up to
(excluding)
0.99.4-r0
运行在以下环境
系统 alpine_3.4 clamav * Up to
(excluding)
0.99.4-r0
运行在以下环境
系统 alpine_3.5 clamav * Up to
(excluding)
0.99.4-r0
运行在以下环境
系统 alpine_3.6 clamav * Up to
(excluding)
0.99.4-r0
运行在以下环境
系统 alpine_3.7 clamav * Up to
(excluding)
0.99.4-r0
运行在以下环境
系统 alpine_3.8 clamav * Up to
(excluding)
0.99.4-r0
运行在以下环境
系统 alpine_3.9 clamav * Up to
(excluding)
0.99.4-r0
运行在以下环境
系统 alpine_edge clamav * Up to
(excluding)
0.99.4-r0
运行在以下环境
系统 amazon_AMI clamav * Up to
(excluding)
0.99.4-1.29.amzn1
运行在以下环境
系统 debian_7 clamav * Up to
(excluding)
0.99.4+dfsg-1+deb7u1
运行在以下环境
系统 debian_9 clamav * Up to
(excluding)
0.99.4+dfsg-1+deb9u1
运行在以下环境
系统 fedora_26 clamav * Up to
(excluding)
0.99.4-1.fc26
运行在以下环境
系统 fedora_27 clamav * Up to
(excluding)
0.99.4-1.fc27
运行在以下环境
系统 fedora_EPEL_6 clamav * Up to
(excluding)
0.99.4-1.el6
运行在以下环境
系统 fedora_EPEL_7 clamav * Up to
(excluding)
0.99.4-1.el7
运行在以下环境
系统 opensuse_Leap_42.3 clamav * Up to
(excluding)
0.99.4-23.1
运行在以下环境
系统 suse_11_SP4 clamav * Up to
(excluding)
0.99.4-0.20.7.2
运行在以下环境
系统 suse_12_SP2 clamav * Up to
(excluding)
0.99.4-33.9.1
运行在以下环境
系统 suse_12_SP3 clamav * Up to
(excluding)
0.99.4-33.9.1
运行在以下环境
系统 ubuntu_14.04 clamav * Up to
(excluding)
0.99.4+addedllvm-0ubuntu0.14.04.1
运行在以下环境
系统 ubuntu_16.04 clamav * Up to
(excluding)
0.99.4+addedllvm-0ubuntu0.16.04.1
阿里云评分
2.9
  • 攻击路径
    本地
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-125 跨界内存读
阿里云安全产品覆盖情况